@import url('https://fonts.googleapis.com/css2?family=Google+Sans:ital,opsz,wght@0,17..18,400..700;1,17..18,400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');

:root{
    --w-primary-color:#0F3D3E;
    --w-secondary-color:#193527;
    --w-secondary-color:#000000;
    --w-black-color:#000000;
    --w-white-color:#FFFFFF;
    --w-off-white-color:#FDF7F2;
    --w-dark-green:#026937;
    --w-off-green:rgba(43, 84, 63, 0.1);
}

a{
    text-decoration: none;
}
html,body{
    overflow-x: hidden !important;
    height: auto;
    scroll-behavior: smooth;
}

button{
    box-shadow: none !important;
    outline: none !important;
}
/* Text and BG Colors */
.t-primary{
    color: var(--w-primary-color) !important;
}
.t-secondary{
    color: var(--w-secondary-color) !important;
}
.t-black{
    color: var(--w-black-color) !important;
}
.t-white{
    color: var(--w-white-color) !important;
}
.t-off-white{
    color: var(--w-off-white-color) !important;
}
.t-dark-green{
    color: var(--w-dark-green) !important;
}
.bg-primary{
    background-color: var(--w-primary-color) !important;
}
.bg-secondary{
    background-color: var(--w-secondary-color) !important;
}
.bg-black{
    background-color: var(--w-black-color) !important;
}
.bg-white{
    background-color: var(--w-white-color) !important;
}
.bg-off-white{
    background-color: var(--w-off-white-color) !important;
}
.bg-off-green{
    background-color: rgba(43, 84, 63, 0.1);
}
.bg-dark-green{
    background-color: var(--w-dark-green) !important;
}

/* Typography Style */
.h1{
    font-family: "Montserrat", sans-serif;
    font-size: 70px;
    font-weight: 600;
    line-height: 1.2em;
    font-style: normal;
}
.h2{
    font-family: "Montserrat", sans-serif;
    font-size: 60px;
    font-weight: 600;
    line-height: 1.15em;
    font-style: normal;
}
.h3{
    font-family: "Montserrat", sans-serif;
    font-size: 50px;
    font-weight: 600;
    line-height: 1.3em;
    font-style: normal;
}
.h4{
    font-family: "Montserrat", sans-serif;
    font-size: 40px;
    font-weight: 600;
    line-height: 1.35em;
    font-style: normal;
}
.h5{
    font-family: "Montserrat", sans-serif;
    font-size: 30px;
    font-weight: 600;
    line-height: 1.35em;
    font-style: normal;
}
.h6{
    font-family: "Montserrat", sans-serif;
    font-size: 20px;
    font-weight: 700;
    line-height: 1.4em;
    font-style: normal;
}
.para{
    font-family: "Raleway", sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.7em;
    font-style: normal;
    letter-spacing: 1px;
}
.small{
    font-size: 14px !important;
}
.ex-small{
    font-size: 12px !important;
}
.button{
    font-family: "Raleway", sans-serif;
    font-size: 18px;
    font-weight: 500;
    line-height: 1.7em;
    letter-spacing: .5px;
    letter-spacing: 1px;
    font-style: normal;
}
/* Tablet */
@media screen and (max-width:900px){
    .h1{
        font-size: 55px;
    }
    .h2{
        font-size: 48px;
    }
    .h3{
        font-family: "Google Sans", sans-serif;
        font-size: 40px;
    }
    .h4{
        font-size: 29px;
    }
    .h5{
        font-size: 23px;
    }
    .h6{
        font-size: 17px;
    }
    .para{
        font-size: 17px;
    }
    .button{
        font-size: 17px;
    }
}
/* Mobile */
@media screen and (max-width:600px){
    .h1{
        font-size: 40px;
    }
    .h2{
        font-size: 36px;
    }
    .h3{
        font-size: 30px;
    }
    .h4{
        font-size: 18px;
    }
    .h5{
        font-size: 16px;
    }
    .h6{
        font-size: 14px;
    }
    .para{
        font-size: 16px;
    }
    .button{
        font-size: 18px;
    }
}
.ls-1{
    letter-spacing: 1px !important;
}
.fs-25{
    font-size: 25px;
}
.t-shadow{
    text-shadow: 4px 4px 10px rgba(0, 0, 0, 0.4);
}


/* Buttons */
.theme-button-dark {
    display: inline-block;
    padding: 0.75rem 1.4rem;
    border-radius: 10rem;
    color: #fff;
    transition: all 0.3s;
    position: relative;
    overflow: hidden;
    z-index: 1;
    border: none !important;
}
.theme-button-dark:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--w-primary-color);
    border-radius: 10rem;
    z-index: -2;
}
.theme-button-dark:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: var(--w-secondary-color);
    transition: all 0.3s;
    border-radius: 10rem;
    z-index: -1;
}
.theme-button-dark:hover {
    color: var(--w-white-color);
}
.theme-button-dark:hover:before {
    width: 100%;
}
/* Button Light */
.theme-button-light {
    display: inline-block;
    padding: 0.75rem 1.4rem;
    border-radius: 10rem;
    color: var(--w-black-color);
    transition: all 0.3s;
    position: relative;
    overflow: hidden;
    z-index: 1;
}
.theme-button-light:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--w-white-color);
    border-radius: 10rem;
    z-index: -2;
}
.theme-button-light:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: var(--w-primary-color);
    transition: all 0.3s;
    border-radius: 10rem;
    z-index: -1;
}
.theme-button-light:hover {
    color: var(--w-white-color);
}
.theme-button-light:hover:before {
    width: 100%;
}